From 931dabfe93d9e78e1ee79664a0a555433956511d Mon Sep 17 00:00:00 2001
From: Bjarte Johansen <bjarte.johansen@gmail.com>
Date: Tue, 26 May 2015 12:54:14 +0200
Subject: [PATCH] ob-core: Do not return results on writing to file

When writing the result to file we do not need to first convert the
data to a table since it is just converted back when
org-babel-execute-src-block serializes the result to file.

* ob-core (org-babel-result-cond): Add "file" as a param that returns
  a scalar result.
---
 lisp/ob-core.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/ob-core.el b/lisp/ob-core.el
index f4a8345..6821b6d 100644
--- a/lisp/ob-core.el
+++ b/lisp/ob-core.el
@@ -2979,6 +2979,7 @@ Emacs shutdown."))
 		 (member "html" ,params)
 		 (member "code" ,params)
 		 (member "pp" ,params)
+		 (member "file" ,params)
 		 (and (or (member "output" ,params)
 			  (member "raw"    ,params)
 			  (member "org"    ,params)
-- 
2.3.2 (Apple Git-55)

